Subject: bug#14472: closed (Re: bug#14472: 24.3.50; Keybindings for cycling through semantic-symref results)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Nov 2013 05:20:03 +0000

Your bug report

#14472: 24.3.50; Keybindings for cycling through semantic-symref results

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14472: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14472
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14472: 24.3.50; Keybindings for cycling through semantic-symref results
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Fri, 15 Nov 2013 10:48:50 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

OP here.  Closed.

Subject: 24.3.50; Keybindings for cycling through semantic-symref results
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Sat, 25 May 2013 21:08:37 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

This bug is in two parts:

1. Provide keybindings for cycling through semantic-symref results.  I
   don't see any right now.

2. Provide a more convenient and shorter prefix to replace existing 
   C-c ,

----------------------------------------------------------------
Some side notes.

(semantic-mode 1)

Atleast in C-mode, 

    Development->Navigate Tags->[Previous, Next] Tag bound to 
    C-c , n and C-c , p 

seem to be of questionable utility.  It apparently jumps to params (in
order) and function names.  More or less, what C-M-n or C-M-p what
achieves.

I was under the mistaken assumption that C-c , n and C-c , p cycle
through symref results created with C-c , g etc.  It is not so.

I think part of the confusion is because search functions (as in C-c ,
G) is mixed with non-search local navigation (C-c , p, C-c , n) on to
same prefix C-c ,.  As a rgrep user, I am quite happy with M-g M-n M-g
M-p bindings.

----------------------------------------------------------------

In GNU Emacs 24.3.50.3 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2013-05-25 on debian-6.05
Bzr revision: 112729 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
Important settings:
  value of $LANG: en_IN
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t

In GNU Emacs 24.3.50.3 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2013-05-25 on debian-6.05
Bzr revision: 112729 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
Important settings:
  value of $LANG: en_IN
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t